### Function

# RB make_duration_string

#### Declaration [src]

    char*
    rb_make_duration_string (
      guint duration
    )

#### Description [src]

Constructs a string describing the specified duration. The string describes hours, minutes, and seconds, and its format is localised.

#### Parameters

`duration`

  Type: `guint`

  Duration in seconds.

#### Return value

Type: `char*`

Duration string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.